Recomendações anônimas
curl --request GET \
--url https://services.staging.app.dados.rio/catalogo/api/public/recommendationsimport requests
url = "https://services.staging.app.dados.rio/catalogo/api/public/recommendations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://services.staging.app.dados.rio/catalogo/api/public/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"bairros": [
"<string>"
],
"id": "<string>",
"image_url": "<string>",
"modalidade": "<string>",
"organization": "<string>",
"score": 123,
"score_breakdown": {},
"short_desc": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"url": "<string>"
}
],
"personalized": true
}{}recomendações
Recomendações anônimas
Recomendações sem autenticação, com scoring neutro. cluster_hint aceita bairro ou faixa etária para leve personalização.
GET
/
api
/
public
/
recommendations
Recomendações anônimas
Query Parameters
Bairro ou faixa etária (ex: Tijuca, 25-34)
Tipos: service, course, job, mei_opportunity
Máximo de itens, max 50 (default: 10)
Contexto: homepage, after_search, profile
⌘I
